* {
    margin: 0;
    padding: 0;
}

header {
    font-size: 3rem;
    width: 95%;
    text-align: center;
}

body {
    background-repeat: no-repeat;
    background-color: #D9AFD9;
    background-image: linear-gradient(0deg, #D9AFD9 0%, #b1dac4 100%);
    font-family: 'Kanit', sans-serif;
    color: black;
}

h1 {
    font-size: 1.5rem;
    border: #D9AFD9;
    border-width: thick;
}


ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    overflow: hidden;
    background-color: rgb(54, 90, 57);
  }
  
  li {
    float: left;
  }
  
  li a {
    display: block;
    color: white;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
  }
  
  /* Change the link color to #111 (black) on hover */
  li a:hover {
    background-color: #326e4e;
  }


/* Style Jeu + Fond Inscription */

.regles_du_jeu,
.inscription {
    display: flex;
    background-color: rgb(54, 90, 57);
    flex-direction: column;
    justify-content: center;
    color: white;
    font-size: 1rem;
    padding-left: 3vw;
    padding-right: 3vw;
    text-align: left;
    border-radius: 7px;
}

.regles_du_jeu {
    padding: 2%;
    margin: auto;
    width: 60%;
}

em {
    font-style: unset;
    font-weight: bold;
}

#imagePresentation {
    padding: 2%;
    margin: auto;
    width: 50%;
}

.jeu {
    justify-self: center;
}

.plateau {
    margin: auto;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    background-color: rgb(54, 90, 57);
    border-radius: 7px;
    width: 70%;

}

.flip {
    transform: rotateX(180deg);
    transform-style: preserve-3d;
    transition: transform 0.8s, -webkit-transform 0.8s;
}


.carre_interrogation,
.carre_img {
    width: 10vw;
    padding: 25px;
    margin: 15px;
    background-color: white;
    border-radius: 7px;

}

.carre_interrogation {
    z-index: 1;
}

.carre_img {
    display: none;
    z-index: 2;
}

.choixJeu{
    text-align: center;
    font-size: larger;
}
#score {
    text-align: center;
    padding: 1%;
}

#messageVictoire{
    font-size: 3rem;
    text-align: center;
    font-weight: bolder;
}
/* Style Inscription */


legend {
    font-size: 1.5rem;
    text-align: center;
    font-weight: bold;
}


fieldset {
    height: fit-content;
    margin: auto;
    width: 35%;
}

input {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 2%;
    width: 80%;
    border: 0;
    background-color: rgb(54, 90, 57);
    color: white;
}

.inscription {
    min-height: fit-content;
    height: 100%;
    border: none;
    align-content: center;
}

.champInscription {
    padding: 2%;
    padding-top: 3%;
    padding-bottom: 3%;
}

.validation {
    display: flex;
    justify-content: center;

}

.bouton {
    align-items: center;
    box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    border-radius: 7px;
    margin: 10px;
    background-color: #e7e7e7;
    color: black;
    width: fit-content;
    height: 5vh;
    padding: 5px;
}


.champNomUtilisateur,
.champMail,
.champMdp1,
.champMdp2,
.aideSaisie {
    display: flex;
    flex-direction: row;

}

#messageOKNom,
#messageKONom,
#messageOKMail,
#messageKOMail,
#messageKOMdp,
#messageOKMdp,
#OKconfirmMdp,
#KOconfirmMdp {
    display: none;
    width: 5%;
    margin: auto;
}

#textKONom,
#textKOMail {
    color: red;
}

.aideSaisieBarres, .aideSaisieMots {
    justify-content: center;
    display: flex;
    flex-direction: row;
}

#mdpFaible {
    border-width: 0;
    border-top-color: orange;
    border-top-width: 10px;
    border-top-style: hidden;
    width: 20%;
    text-align: center;
    padding: 5px;
    margin: 10px;
}


#mdpMoyen {
    border-width: 0;
    border-top-color: yellow;
    border-top-width: 10px;
    border-top-style: hidden;
    width: 20%;
    text-align: center;
    padding: 5px;
    margin: 10px;
}

#mdpFort {
    border-width: 0;
    border-top-color: green;
    border-top-width: 10px;
    border-top-style: hidden;
    width: 20%;
    text-align: center;
    padding: 5px;
    margin: 10px;
}

#avatar {
    width: 10%;
    margin: auto;
    border-radius: 7px;
}

#conteneurChoixTaille, #conteneurChoixTheme {
    padding: 5px;;
}